Skip to main content
`Ctrl`+`K`

# PCHPDDMGetComplexities

Computes the grid and operator complexities.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMGetComplexities(PC pc, PetscReal *gc, PetscReal *oc)

Collective

## Input Parameter

- pc - preconditioner context

## Output Parameters

- gc - grid complexity \( \sum_i m_i / m_1 \)

- oc - operator complexity \( \sum_i nnz_i / nnz_1 \)

## See Also

KSP: Linear System Solvers, `PCMGGetGridComplexity()`, `PCHPDDM`, `PCHYPRE`, `PCGAMG`

## Level

advanced

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages